# Type Alias ExpForTable<TTable>

ExpForTable<TTable>: TTable extends "numbers"
? BoolExpValue<number>
: TTable extends "strings"
? BoolExpValue<string>
: TTable extends "objects"
? BoolExpValue<object>
: TTable extends "can"
? BoolExpCan
: TTable extends "selectors"
? BoolExpSelector
: TTable extends "tree"
? BoolExpTree
: TTable extends "handlers"
? BoolExpHandler
: QueryLink

#### Type Parameters

- TTable extends Table

- Defined in work/deeplinks/deeplinks/imports/client.tsx:496